%define name gtkgraph
%define version 0.6.1
%define release 3mdk

Summary: Simple GTK graphing calculator
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sciences/Mathematics
Source0: %{name}-%{version}.tar.bz2
Source1: gtkgraph.menu.bz2
Source2: gtkgraph16.xpm.bz2
URL: http://gtkgraph.linuxbox.com
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
GtkGraph is an application designed to replace a conventional graphing
calculator. It allows you to plot up to 10 functions on the same graph.
Graphs may be exported to PostScript, printed, or exported to any bitmap file
format that Imlib supports. The user can zoom and scroll, or set
the range manually with X/Y minimums and X/Y maximums. In addition, a small
arithmatic calculator window is included, which has a convenient history
mechanism.

%prep

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=%{prefix}
make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
make prefix=${RPM_BUILD_ROOT}%{_prefix} install

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/gtkgraph
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/share/icons/mini/gtkgraph.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL ABOUT-NLS BUGS AUTHORS HACKING README TODO
%{_prefix}/share/locale/*/LC_MESSAGES/gtkgraph.mo
%{_prefix}/bin/gtkgraph
%{_prefix}/lib/menu/gtkgraph
%{_prefix}/share/icons/mini/gtkgraph.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Fixed path in icon entry

* Wed Apr 12 2000 DindinX <odin@mandrakesoft.com> 0.6.1-2mdk
- Added a nice icon for menu.

* Sun Apr  2 2000 DindinX <odin@mandrakesoft.com> 0.6.1-1mdk
- New version

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.5.2-4mdk
- Fix menu group
- Delete the Packager entry (thanks to Guillaume)

* Wed Mar 29 2000 DindinX <odin@mandrakesoft.com> 0.5.2-3mdk
- Use a better group (thx to Pixel)
- Add menu entry

* Tue Mar 28 2000 DindinX <odin@mandrakesoft.com> 0.5.2-2mdk
- Change Group

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- specfile adaptations
